/**
 *******************************************************************************
 * @file    tmpm381_wdt_int.h
 * @brief   All interrupt request functions prototypes of WDT
 *          for the TOSHIBA 'TMPM381' Device Series
 * @version V0.100
 * @date    2015/06/16
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM381_WDT_INT_H
#define __TMPM381_WDT_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM381.h"
#include "tmpm381_wdt.h"
#include "tmpm381_cg.h"
#include "led.h"


#define FLG_WDT    ((uint8_t)0x00000001)
#define FLG_NMI    ((uint8_t)0x00000002)

void NMI_Handler(void);

#endif                          /* __TMPM381_WDT_INT_H */
